×

Discussion Board

Results 1 to 14 of 14
  1. #1
    Registered User
    Join Date
    Oct 2010
    Posts
    15

    [moved] Running the emulator on Windows 7

    Hello..
    I am downloaded and Installed S60_5th_Edition_SDK_v1_0_en. Installation is also done successfully done in my Windows 7 pc without any errors.
    but whenever i start a emulator of this framework it will automatically closing after emulator is started.
    Please kindly help to solve this problem.

    Thank u in advance.
    : - )

  2. #2
    Nokia Developer Moderator
    Join Date
    Mar 2003
    Location
    Lempäälä/Finland
    Posts
    29,166

    Re: can not install S60_5th_Edition_SDK_v1_0_en sdk

    Did you check the W7 things from the : http://wiki.forum.nokia.com/index.ph..._Windows_Vista

  3. #3
    Registered User
    Join Date
    Oct 2010
    Posts
    15

    Re: can not install S60_5th_Edition_SDK_v1_0_en sdk

    I was checked http://wiki.forum.nokia.com/index.ph..._Windows_Vista also.. but there is no information given how to run emulator on windows 7.

  4. #4
    Nokia Developer Moderator
    Join Date
    Mar 2003
    Location
    Lempäälä/Finland
    Posts
    29,166

    Re: can not install S60_5th_Edition_SDK_v1_0_en sdk

    there are the couple of fixes you would need to do, and then you would run the emulatot excatly the same as you would do it in XP/Vista.Also do check the epocwind.out: http://wiki.forum.nokia.com/index.php/Epocwind.out

  5. #5
    Registered User
    Join Date
    Oct 2010
    Posts
    15

    Re: can not install S60_5th_Edition_SDK_v1_0_en sdk

    Dear yucca,
    i was checked epocwind.out file. Entire log is ok but at the last line of file i got message "FAULT: KERN 0x00000004 (4) ".
    i am sending last 4 lines from that file. please reply me solution.

    the below 4 lines are the last lines from epocwind.out file
    ------------------------------------------------------------------------------------------------------------------
    60.235 Thread eiksrvs.exe::EikAppUiServerThread Panic KERN-EXEC 3
    60.235 Thread eiksrvs.exe::UikonWatchers Panic KERN-EXEC 3
    60.235 Thread eiksrvs.exe::ViewServerThread Panic KERN-EXEC 3
    60.235 FAULT: KERN 0x00000004 (4)

  6. #6
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,689

    Re: can not install S60_5th_Edition_SDK_v1_0_en sdk

    That may indicate some DEP-related stuff (Data Execution Prevention, it has to be disabled for the emulator, the Vista article discusses it somewhere), and or privilege problems (have you installed the SDK with explicit right-click+Run as Administrator?)

  7. #7
    Registered User
    Join Date
    Oct 2010
    Posts
    15

    Re: can not install S60_5th_Edition_SDK_v1_0_en sdk

    I was installed on administrator account. still i facing the problem.

  8. #8
    Nokia Developer Moderator
    Join Date
    Mar 2003
    Location
    Lempäälä/Finland
    Posts
    29,166

    Re: can not install S60_5th_Edition_SDK_v1_0_en sdk

    After installing the SDK, did you install the required pearl & java run time into the machine as well ? Basically the SDK works just fine on my 64 bit W7.

  9. #9
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,689

    Re: can not install S60_5th_Edition_SDK_v1_0_en sdk

    Unfortunately the emulator does not depend on Perl, and for successful startup, Java does not matter either.

  10. #10
    Registered User
    Join Date
    Oct 2010
    Posts
    15

    Re: can not install S60_5th_Edition_SDK_v1_0_en sdk

    Dear Yucca,

    I was installed pearl & java run time into the machine. But I was installed on 32 bit Windows 7.
    Is this works on only 64bit OS of windows 7?

  11. #11
    Registered User
    Join Date
    Oct 2010
    Posts
    15

    Re: can not install S60_5th_Edition_SDK_v1_0_en sdk

    dear wizard_hu_ and yucca,

    I was pearl of ActivePerl-5.12.2.1202-MSWin32-x86-293621 version. is there any other perl version required here?

  12. #12
    Regular Contributor
    Join Date
    Apr 2009
    Posts
    76

    Re: [moved] Running the emulator on Windows 7

    For development you need 5.6.1, but i've found that using 5.8.9 works as well. But i also found a link to 5.6.1 here.

  13. #13
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,689

    Re: can not install S60_5th_Edition_SDK_v1_0_en sdk

    The Perl should be 5.6.1 635, available from http://www.forum.nokia.com/info/sw.n...ctivePerl.html
    But it will not affect the emulator.

  14. #14
    Registered User
    Join Date
    Jul 2009
    Posts
    1

    Re: [moved] Running the emulator on Windows 7

    Some notes of my exp getting it to run on Win7

    - Got it working on Win7 (64-bit), but only with 32-bit versions of JDK & Eclipse
    - Open administrator command prompt to install the Perl msi (Do not just double-click on it)
    - As Vista link indicates, extract the S60 or Symbian^3 SDK, set the setup exe to WinXP Compat (SP3 is fine) & Admin Priv. Wouldn't work without this step.
    - Default install of Emulator is missing a dll - wouldn't launch from eclipse. Running from command line shows it's missing MSVCR71.DLL. Copy it over from the JDK bin dir to the S60\bin dir & everything is kosher now. Able to launch the HelloWorld sample in emulator.

Similar Threads

  1. Windows 7 - running emulator
    By michalborek in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 5
    Last Post: 2010-05-31, 16:45
  2. [moved] emulator debug failed with carbide v2.4.0 in windows 7 Ultimate
    By Corey.lin in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 2
    Last Post: 2010-02-24, 15:40
  3. [moved] Edition 2 Emulator not running
    By 76Richard76 in forum Symbian Tools & SDKs
    Replies: 4
    Last Post: 2008-09-02, 12:01
  4. Replies: 6
    Last Post: 2008-07-18, 21:45
  5. [moved] Running the emulator on Windows 7
    By in forum Symbian Tools & SDKs
    Replies: 0
    Last Post: 1970-01-01, 02:00

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×